Skip to main content
`Ctrl`+`K`

# PetscLs

produce a listing of the files in a directory

## Synopsis

    PetscErrorCode PetscLs(MPI_Comm comm, const char dirname[], char found[], size_t tlen, PetscBool *flg)

Collective

## Input Parameters

- comm - the MPI communicator

- dirname - the directory name

- tlen - the length of the buffer `found`

## Output Parameters

- found - listing of files

- flg - the directory exists

## See Also

`PetscTestFile()`, `PetscRMTree()`, `PetscTestDirectory()`

## Level

intermediate

## Location

src/sys/fileio/ftest.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages